Bug 1218690 - Memory Balloon in a VM created from a template, that was renamed will always be disabled
Summary: Memory Balloon in a VM created from a template, that was renamed will always ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-05 15:01 UTC by Lev Veyde
Modified: 2016-04-20 01:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:34:02 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 41391 master MERGED frontend: fixes in resource allocation tab Never
oVirt gerrit 41409 master MERGED core: Correctly copy memballoon device from template Never

Description Lev Veyde 2015-05-05 15:01:48 UTC
Description of problem:
While creating VM from a template which was renamed, the VM will be created with a disabled Memory Balloon, even if the template has this setting set as enabled.

What's more - even if it was manually selected to be enabled during VM creation (after the Memory Balloon checkbox got unchecked if the renamed template got selected), the VM will not have the Memory Balloon device.


Version-Release number of selected component (if applicable):
RHEV 3.5.1-0.4.el6ev

How reproducible:
100%

Steps to Reproduce:
1. Create a VM
2. Verify that it has a Memory Balloon Device Enabled checkbox set (Under Resource Allocation tab)
3. Create a template from that VM
4. Choose the new template and use "Edit" option to rename it.
5. Create a new VM, choosing that renamed template as the base.
6. Note that once you select the template the Memory Balloon Device Enabled checkbox gets unselected.
7. Check the box, so it gets selected again.
8. Fill the required details i.e. VM name and create the VM.
9. Check the properties of the VM just created, Note that the Memory Balloon Device Enabled will be unchecked.

Actual results:
Using renamed template will get the Memory Balloon device be disabled.
It will happen even if the device is manually re-enabled during the VM creation.

Expected results:
The Memory Balloon Device Enabled should be set according to the setting of the selected template, at the time one is selected. Also the manual override should be always respected.

Additional info:
Renaming the template back to it's original name doesn't resolve the issue, so once the template gets renamed for whatever reason it activates this broken behaviour.

Comment 1 Max Kovgan 2015-06-28 14:12:55 UTC
ovirt-3.6.0-3 release

Comment 2 Shira Maximov 2015-08-25 09:48:18 UTC
verified on 3.6.0-0.12.master.el6


Note You need to log in before you can comment on or make changes to this bug.